feat: initial copy of v0.1.0
All checks were successful
Publish / Check GoReleaser config (push) Successful in 5s
Publish / Publish provider (push) Successful in 16m14s

This commit is contained in:
Marcel S. Henselin 2026-03-13 09:03:49 +01:00
parent 4cc801a7f3
commit 7d4cbb6b08
538 changed files with 63361 additions and 55213 deletions

View file

@ -1,5 +1,4 @@
#!/usr/bin/env bash
# Copyright (c) STACKIT
# This script is used to ensure for PRs the docs are up-to-date via the CI pipeline
@ -11,7 +10,7 @@ ROOT_DIR=$(git rev-parse --show-toplevel)
before_hash=$(find docs -type f -exec sha256sum {} \; | sort | sha256sum | awk '{print $1}')
# re-generate the docs
$ROOT_DIR/scripts/tfplugindocs.sh
"${ROOT_DIR}/scripts/tfplugindocs.sh"
after_hash=$(find docs -type f -exec sha256sum {} \; | sort | sha256sum | awk '{print $1}')

View file

@ -1,20 +0,0 @@
#!/usr/bin/env bash
# Copyright (c) STACKIT
# This script lints the SDK modules and the internal examples
# Pre-requisites: golangci-lint
set -eo pipefail
ROOT_DIR=$(git rev-parse --show-toplevel)
GOLANG_CI_YAML_PATH="${ROOT_DIR}/golang-ci.yaml"
GOLANG_CI_ARGS="--allow-parallel-runners --timeout=5m --config=${GOLANG_CI_YAML_PATH}"
if type -p golangci-lint >/dev/null; then
:
else
echo "golangci-lint not installed, unable to proceed."
exit 1
fi
cd ${ROOT_DIR}
golangci-lint run ${GOLANG_CI_ARGS}

View file

@ -1,5 +1,4 @@
#!/usr/bin/env bash
# Copyright (c) STACKIT
# This script is used to manage the project, only used for installing the required tools for now
@ -18,8 +17,7 @@ elif [ "$action" = "tools" ]; then
go mod download
go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.62.0
go install github.com/hashicorp/terraform-plugin-docs/cmd/tfplugindocs@v0.21.0
go install golang.org/x/tools/cmd/goimports@v0.42.0
else
echo "Invalid action: '$action', please use $0 help for help"
fi

View file

@ -1,5 +1,4 @@
#!/usr/bin/env bash
# Copyright (c) STACKIT
# Add replace directives to local files to go.work
set -eo pipefail

View file

@ -1,5 +1,4 @@
#!/usr/bin/env bash
# Copyright (c) STACKIT
# Pre-requisites: tfplugindocs
set -eo pipefail
@ -15,5 +14,5 @@ fi
mkdir -p ${ROOT_DIR}/docs
echo ">> Generating documentation"
tfplugindocs generate \
go run github.com/hashicorp/terraform-plugin-docs/cmd/tfplugindocs generate \
--provider-name "stackitprivatepreview"